body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 160px;
    height: 50px;
    line-height: 50px;
    font-size: 20px;
    text-align: center;
    font-family: sans-serif;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: #ccc;
}
a:before{
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: #ff005e;
    color:#fff;
    transition: 0.5s;
    transform-origin: bottom;
    transform: translateY(-100%) rotateX(90deg);
}
a:hover:before{
    transform: translateY(0) rotateX(0deg);
}

a:after{
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: #ea004f;
    color:#fff;
    transition: 0.5s;
    transform-origin: top;
    transform: translateY(0) rotateX(0deg);
}
a:hover:after{
    transform: translateY(100%) rotateX(90deg);
}
